Outils pour utilisateurs


Téléchargement

Télécharger le fichier DMG.

Le navigateur Chrome peut déclencher un message d'alerte : ce fichier risque d'endommager votre ordinateur.

Aucune inquiétude, c'est un problème de protocole. Le fichier téléchargé n'est pas corrompu.

Installation

L'installation est classique. Double cliquer sur le fichier dmg. Dans la fenêtre qui apparait faire glisser l'icône Logfly vers l'icône Application.

Les dernières versions de MacOs tendant vers toujours plus de sécurité vous allez obtenir un d'avertissement :

Il va falloir imposer Logfly aux règles de sécurité de votre Mac. Pour cela cliquer sur la pomme en haut à gauche et sélectionner la deuxième option Préférences système. Dans la fenêtre qui apparait sélectionner l'option Sécurité et confidentialité.

Dans la partie basse de la fenêtre qui apparait, il est affiché : l'ouverture de Logfly5 est bloqué etc... Un bouton Ouvrir quand même est disponible. Cliquer dessus.

Pour être sûr que vous êtes sûr, un nouvel et dernier avertissement :

Le fichier dmg n'est pas régénéré à chaque nouvelle version. Après installation, au premier lancement du programme, il y peut y avoir une mise à jour mineure, c'est parfaitement normal.

Identification Apple

Logfly est développé dans l'esprit opensource et en libre accès pour la communauté des pilotes. Sin développement utilise des outils librement disponibles. Pour être identifié comme un développeur autorisé il faut s'enregistrer auprès du service développeurs Apple moyennant une cotisation annuelle -:)

Compatibilité MacOS

Pour fonctionner, Logfly embarque une “machine virtuelle Java” (version 8). Comme le système d'exploitation, cette machine virtuelle connait des évolutions. Un bug d'affichage graphique est apparu avec la version MacOS 10.14 (Mojave). Une mise à jour de la machine virtuelle Java résout le problème.

Malheureusement cette mise à jour n'a pas une compatibilité ascendante importante. D'après les retours utilisateurs, avec cette ultime version de Java 8, Logfly fonctionne jusqu'à MacOS 10.11.

Il est impossible de maintenir plusieurs compilations avec des machines virtuelles différentes. A ce jour la compatibilité n'est donc garantie que jusqu'à la version macOS 10.11 (El Capitan).

Il reste une solution possible pour les utilisateurs avertis : faire sa propore compilation à partir des sources Logfly disponibles sur Github.


Outils de la page

Outils du site